import { NgModule, Inject, PLATFORM_ID } from '@angular/core';
import { CommonModule } from '@angular/common';

import { defineCustomElements } from "@web-components/loader";
import { SdxTabs, SdxTabsItem } from "../../src/libs/stencil-generated/proxies";
import { isPlatformBrowser } from '@angular/common';

//defineCustomElements(window);

@NgModule({
  declarations: [SdxTabs, SdxTabsItem],
  imports: [
    CommonModule,
  ],
  exports: [SdxTabs, SdxTabsItem]
})
export class WebComponentsModule {
  constructor(@Inject(PLATFORM_ID) private platformId: Object) {
    if (isPlatformBrowser(this.platformId)) {
      import('@web-components/loader').then(module => {
        module.defineCustomElements(window);
      });
    }
  }
}
